### Function

# AppStream UrgencyKind from_string

since: 0.6.5

#### Declaration [src]

    AsUrgencyKind
    as_urgency_kind_from_string (
      const gchar* urgency_kind
    )

#### Description [src]

Converts the text representation to an enumerated value.

Available since: 0.6.5

#### Parameters

`urgency_kind`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsUrgencyKind`

A %AsUrgencyKind or `AS_URGENCY_KIND_UNKNOWN` for unknown.